# Uses of Class
org.apache.lucene.store.ChecksumIndexInput

Packages that use ChecksumIndexInput
Package
Description
org.apache.lucene.codecs
Codecs API: API for customization of the encoding and structure of the index.
org.apache.lucene.index
Code to maintain and access indices.
org.apache.lucene.store
Binary i/o API, used for all index data.
org.apache.lucene.util
Some utility classes.

- ## Uses of ChecksumIndexInput in org.apache.lucene.codecs

  Methods in org.apache.lucene.codecs with parameters of type ChecksumIndexInput
  Modifier and Type
  Method
  Description
  `static long`
  CodecUtil.`checkFooter(ChecksumIndexInput in)`
  Validates the codec footer previously written by `CodecUtil.writeFooter(org.apache.lucene.store.IndexOutput)`.
  `static void`
  CodecUtil.`checkFooter(ChecksumIndexInput in, Throwable priorException)`
  Validates the codec footer previously written by `CodecUtil.writeFooter(org.apache.lucene.store.IndexOutput)`, optionally passing an unexpected exception that has already occurred.

- ## Uses of ChecksumIndexInput in org.apache.lucene.index

  Methods in org.apache.lucene.index with parameters of type ChecksumIndexInput
  Modifier and Type
  Method
  Description
  `static final SegmentInfos`
  SegmentInfos.`readCommit(Directory directory, ChecksumIndexInput input, long generation)`
  Read the commit from the provided `ChecksumIndexInput`.
  `static final SegmentInfos`
  SegmentInfos.`readCommit(Directory directory, ChecksumIndexInput input, long generation, int minSupportedMajorVersion)`
  Read the commit from the provided `ChecksumIndexInput`.

- ## Uses of ChecksumIndexInput in org.apache.lucene.store

  Subclasses of ChecksumIndexInput in org.apache.lucene.store
  Modifier and Type
  Class
  Description
  `class`
  `BufferedChecksumIndexInput`
  Simple implementation of `ChecksumIndexInput` that wraps another input and delegates calls.
  Methods in org.apache.lucene.store that return ChecksumIndexInput
  Modifier and Type
  Method
  Description
  `ChecksumIndexInput`
  Directory.`openChecksumInput(String name)`
  Opens a checksum-computing stream for reading an existing file.

- ## Uses of ChecksumIndexInput in org.apache.lucene.util

  Fields in org.apache.lucene.util declared as ChecksumIndexInput
  Modifier and Type
  Field
  Description
  `protected final ChecksumIndexInput`
  OfflineSorter.ByteSequencesReader.`in`
  Methods in org.apache.lucene.util with parameters of type ChecksumIndexInput
  Modifier and Type
  Method
  Description
  `protected OfflineSorter.ByteSequencesReader`
  OfflineSorter.`getReader(ChecksumIndexInput in, String name)`
  Subclasses can override to change how byte sequences are read from disk.
  Constructors in org.apache.lucene.util with parameters of type ChecksumIndexInput
  Modifier
  Constructor
  Description
  ``
  `ByteSequencesReader(ChecksumIndexInput in, String name)`
  Constructs a ByteSequencesReader from the provided IndexInput